Loading...
Searching...
No Matches
BALL::NMRStarFile::NMRAtomDataSet Class Reference

`#include <BALL/FORMAT/NMRStarFile.h>`

## Public Member Functions

| NMRAtomDataSet (NMRStarFile *parent)
std::ostream & | operator>> (std::ostream &s)

## Public Attributes

String | name
String | label
std::vector< NMRAtomData > | atom_data
String | condition
String | reference
std::vector< String > | samples

## Protected Attributes

NMRStarFile * | parent_

## Detailed Description

NMRAtomDataSet This class includes all NMR information concerning a dataset of atoms delivered by a NMRStar file. The corresponding condition, reference set, and samples can be looked up with getSampleConditionByName(), getShiftReferenceSetByName(), and getSample(). All members are public for easy access.

Definition at line 267 of file NMRStarFile.h.

## Constructor & Destructor Documentation

## NMRAtomDataSet()

BALL::NMRStarFile::NMRAtomDataSet::NMRAtomDataSet | ( | NMRStarFile * | parent | ) |

## Member Function Documentation

## operator>>()

std::ostream & BALL::NMRStarFile::NMRAtomDataSet::operator>> | ( | std::ostream & | s | ) |

## Member Data Documentation

## atom_data

std::vector<NMRAtomData> BALL::NMRStarFile::NMRAtomDataSet::atom_data

Definition at line 275 of file NMRStarFile.h.

## condition

String BALL::NMRStarFile::NMRAtomDataSet::condition

Definition at line 276 of file NMRStarFile.h.

## label

String BALL::NMRStarFile::NMRAtomDataSet::label

Definition at line 274 of file NMRStarFile.h.

## name

String BALL::NMRStarFile::NMRAtomDataSet::name

Definition at line 273 of file NMRStarFile.h.

## parent_

NMRStarFile* BALL::NMRStarFile::NMRAtomDataSet::parent_

protected

Definition at line 283 of file NMRStarFile.h.

## reference

String BALL::NMRStarFile::NMRAtomDataSet::reference

Definition at line 277 of file NMRStarFile.h.

## samples

std::vector<String> BALL::NMRStarFile::NMRAtomDataSet::samples

Definition at line 278 of file NMRStarFile.h.